Subject: Ticket Assigned - Fw:Failure to receive my order
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 27 Jan 2021 10:28:44 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Fw:Failure to receive my order  Sent from my Huawei phone -------- Original message -------- From: Ambie Cute <[email-masked]> Date: Wed, Jan 27, 2021, 6:51 AM To: [email-masked] Cc: [email-masked] Subject: Failure to receive my order I am indeed very disappointed at centerpoint delay in my order #4530000256 I already contacted the support team through the app but didn't find it useful. As if my concern was important i believe i should atleast have received an acknowledged email stating that they have gotten my query and would also inform me of the reason for delay and also updating me by when could i get the things i ordered. It is very unfortunate that such a communication has not been made from your side. I was expecting to hear soon but no one seems concerned. Thats the reason i chose to email and to aslo ask for a compensa
 tion for the delay caused I had bought 2 shoes to gift to my brother for his birthday which on not receiving the order has made me go to this extend.. And im highly not appreciating this behavior. I believe centerpoint team is alot more efficient but this behavior doesn't allow me to trust the company. And I'm not even sure if someone will even look into my query. Sent from my Huawei phone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2025847